2019-03-26 21:23 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000401NetSurf[All Projects] Generalpublic2015-03-10 10:39
ReporterSourceforge Import placeholder 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version2.9 
Target VersionFixed in Version3.1 
Summary0000401: CSRF verification failed
DescriptionWith recent versions of NetSurf, I can't leave any comments on http://diamondgeezer.blogspot.com/.

Steps to reproduce:

Navigate to any comment box, e.g. this one: http://tridentscan.jaggedseam.com/dg/2936733284347766779/

Enter anything.

Click 'Preview' (it's not necessary to click 'Publish', although that does it as well).

See the error, "Forbidden (403): CSRF verification failed. Request aborted."

Happens with 0000595, 0000607, 0000640 and 0000651.

Does not happen with 2.9.
Additional Informationnobody added a note on Thu Apr 25 12:23:41 2013

This is no longer reproducible, as the div has recently been removed from the page in question.

Still a bug though.

kinnison added a note on Fri Mar 29 10:32:22 2013

My guess is it has something to do with:

<div style='display:none'><input type='hidden' name='csrfmiddlewaretoken' value='kRLojO3eQK2mkSfXXtAx8eoISL0Oop0p' /></div>

i.e. that the input is inside a hidden div. When we moved to libdom we had to rewrite a lot of the interface to the box construction and to forms. This corner-case may have been missed.

Imported from sourceforge bug http://sourceforge.net/support/tracker.php?aid=3586760 on Tue Dec 10 17:34:12 2013

TagsNo tags attached.
Fixed in CI build #1595
Reported in CI build #0595
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000666

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2013-12-10 17:41 Vincent Sanders New Issue
2013-12-10 17:41 Vincent Sanders Status new => assigned
2013-12-10 17:41 Vincent Sanders Assigned To => Sourceforge Import placeholder
2013-12-10 17:41 Vincent Sanders Description Updated View Revisions
2013-12-17 17:26 Vincent Sanders Reported in CI build # => 0595
2013-12-17 17:26 Vincent Sanders Assigned To Sourceforge Import placeholder =>
2013-12-17 17:26 Vincent Sanders Reproducibility have not tried => always
2013-12-17 17:26 Vincent Sanders Status assigned => confirmed
2013-12-17 17:26 Vincent Sanders Product Version => 2.9
2013-12-17 17:26 Vincent Sanders Description Updated View Revisions
2013-12-17 17:26 Vincent Sanders Additional Information Updated View Revisions
2014-01-05 17:22 John-Mark Bell Fixed in CI build # => 1595
2014-01-05 17:22 John-Mark Bell Status confirmed => resolved
2014-01-05 17:22 John-Mark Bell Resolution no change required => fixed
2014-01-05 17:22 John-Mark Bell Fixed in Version => 3.1
2015-03-10 10:39 Vincent Sanders Note Added: 0000666
2015-03-10 10:39 Vincent Sanders Status resolved => closed
2015-03-10 10:39 Vincent Sanders Assigned To => Vincent Sanders
+Issue History